<?php
/**
 * @copyright (c) Kufer Software GmbH, Loisachstrasse 4, D-84453 Mühldorf
 */

namespace Kufer\KuferTools\Basis\Anmeldung\HandleAnmeldung;

abstract class HandleAnmeldungController extends \Kufer\KuferTools\Basis\Controller\ToolController
{
  abstract protected function getNewRequestObj();

  protected function getRequestObj()
  {
    $requestObj = $this->getNewRequestObj();

    $action = $this->getActionVal();

    return $this->handleXsrf($requestObj, $action);
  }

  protected function getPresenter($pUseCaseResponse)
  {
    
    return null;
  }
}